// ImageCollatorDlg.h : header file
//

#if !defined(AFX_IMAGECOLLATORDLG_H__F492F7A9_6514_11D3_8B36_00902712C9AE__INCLUDED_)
#define AFX_IMAGECOLLATORDLG_H__F492F7A9_6514_11D3_8B36_00902712C9AE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CImageCollatorDlg dialog

class CImageCollatorDlg : public CDialog
{
// Construction
public:
	int GetFileNumber(CString FName);
	CImageCollatorDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CImageCollatorDlg)
	enum { IDD = IDD_IMAGECOLLATOR_DIALOG };
	CString	m_BaseName;
	CString	m_OutDir;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CImageCollatorDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CImageCollatorDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnGo();
	afx_msg void OnExit();
	afx_msg void OnBrowse();
	afx_msg void OnBrowseout();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IMAGECOLLATORDLG_H__F492F7A9_6514_11D3_8B36_00902712C9AE__INCLUDED_)
